Loading...
Searching...
No Matches
Halide::Internal::LetStmt Struct Reference

The statement form of a let node. More...

`#include <IR.h>`

Inheritance diagram for Halide::Internal::LetStmt:

## Static Public Member Functions

static Stmt | make (const std::string &name, Expr value, Stmt body)

## Public Attributes

std::string | name
Expr | value
Stmt | body
Public Attributes inherited from Halide::Internal::IRNode
RefCount | ref_count
| These classes are all managed with intrusive reference counting, so we also track a reference count.
IRNodeType | node_type
| Each IR node subclass has a unique identifier.

## Static Public Attributes

static const IRNodeType | _node_type = IRNodeType::LetStmt

## Additional Inherited Members

Public Member Functions inherited from Halide::Internal::StmtNode< LetStmt >
void | accept (IRVisitor *v) const override
| We use the visitor pattern to traverse IR nodes throughout the compiler, so we have a virtual accept method which accepts visitors.
Stmt | mutate_stmt (IRMutator *v) const override
| StmtNode ()
| ~StmtNode () override=default
Public Member Functions inherited from Halide::Internal::BaseStmtNode
| BaseStmtNode (IRNodeType t)
Public Member Functions inherited from Halide::Internal::IRNode
| IRNode (IRNodeType t)
virtual | ~IRNode ()=default

## Detailed Description

The statement form of a let node.

Within the statement 'body', instances of the Var named 'name' refer to 'value'

Definition at line 282 of file IR.h.

## Member Function Documentation

## make()

Stmt Halide::Internal::LetStmt::make | ( | const std::string & | name,
|  | Expr | value,
|  | Stmt | body )

static

References body, name, and value.

## Member Data Documentation

## name

std::string Halide::Internal::LetStmt::name

Definition at line 283 of file IR.h.

Referenced by make().

## value

Expr Halide::Internal::LetStmt::value

Definition at line 284 of file IR.h.

Referenced by make().

## body

Stmt Halide::Internal::LetStmt::body

Definition at line 285 of file IR.h.

Referenced by make().

## _node_type

const IRNodeType Halide::Internal::LetStmt::_node_type = IRNodeType::LetStmt

static

Definition at line 289 of file IR.h.

The documentation for this struct was generated from the following file:

- src/IR.h